package de.ivu.elect.business.ergebnis.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class DHondtQuotientProperties
{

private final DHondtQuotient entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  discriminatorProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  nennerProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  rangProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  sitzgewinnProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  teilnehmerAmLosverfahrenProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  zaehlerProperty;

        
    

public DHondtQuotientProperties(DHondtQuotient entity) {
this.entity = entity;

}

private static DHondtQuotientMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( DHondtQuotientMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getDiscriminatorProperty() {
        if (discriminatorProperty == null) {
        discriminatorProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getDiscriminatorEinzahlMessage(),
        getMetaData().getDiscriminatorDefaultValue(),
        getMetaData().isDiscriminatorRequired(),
                entity::setDiscriminator,
        entity::getDiscriminator

                    , 0 ,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.DISCRIMINATOR_MAX_LENGTH
                );

        }


        return discriminatorProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getNennerProperty() {
        if (nennerProperty == null) {
        nennerProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getNennerEinzahlMessage(),
        getMetaData().getNennerDefaultValue(),
        getMetaData().isNennerRequired(),
                entity::setNenner,
        entity::getNenner

                    , de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.NENNER_MIN_VALUE,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.NENNER_MAX_VALUE,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.NENNER_MAX_LENGTH
                );

        }


        return nennerProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getRangProperty() {
        if (rangProperty == null) {
        rangProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getRangEinzahlMessage(),
        getMetaData().getRangDefaultValue(),
        getMetaData().isRangRequired(),
                entity::setRang,
        entity::getRang

                    , de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.RANG_MIN_VALUE,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.RANG_MAX_VALUE,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.RANG_MAX_LENGTH
                );

        }


        return rangProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getSitzgewinnProperty() {
        if (sitzgewinnProperty == null) {
        sitzgewinnProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getSitzgewinnEinzahlMessage(),
        getMetaData().getSitzgewinnDefaultValue(),
        getMetaData().isSitzgewinnRequired(),
                entity::setSitzgewinn,
        entity::getSitzgewinn

                );

        }


        return sitzgewinnProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getTeilnehmerAmLosverfahrenProperty() {
        if (teilnehmerAmLosverfahrenProperty == null) {
        teilnehmerAmLosverfahrenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getTeilnehmerAmLosverfahrenEinzahlMessage(),
        getMetaData().getTeilnehmerAmLosverfahrenDefaultValue(),
        getMetaData().isTeilnehmerAmLosverfahrenRequired(),
                entity::setTeilnehmerAmLosverfahren,
        entity::getTeilnehmerAmLosverfahren

                );

        }


        return teilnehmerAmLosverfahrenProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getZaehlerProperty() {
        if (zaehlerProperty == null) {
        zaehlerProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getZaehlerEinzahlMessage(),
        getMetaData().getZaehlerDefaultValue(),
        getMetaData().isZaehlerRequired(),
                entity::setZaehler,
        entity::getZaehler

                    , de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.ZAEHLER_MIN_VALUE,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.ZAEHLER_MAX_VALUE,
            de.ivu.elect.business.ergebnis.entity.DHondtQuotientConstants.ZAEHLER_MAX_LENGTH
                );

        }


        return zaehlerProperty;
        }





        
        }